Xerces-C++ 3.2.5

List of all members
XMLAttDefList Class Referenceabstract

This class defines an abstract interface that all validators must support. More...

`#include <xercesc/framework/XMLAttDefList.hpp>`

Inheritance diagram for XMLAttDefList:

## Public Member Functions
Destructor
virtual | ~XMLAttDefList ()
virtual bool | isEmpty () const =0
virtual XMLAttDef * | findAttDef (const unsigned int uriID, const XMLCh *const attName)=0
virtual const XMLAttDef * | findAttDef (const unsigned int uriID, const XMLCh *const attName) const =0
virtual XMLAttDef * | findAttDef (const XMLCh *const attURI, const XMLCh *const attName)=0
virtual const XMLAttDef * | findAttDef (const XMLCh *const attURI, const XMLCh *const attName) const =0
virtual XMLSize_t | getAttDefCount () const =0
| return total number of attributes in this list
virtual XMLAttDef & | getAttDef (XMLSize_t index)=0
| return attribute at the index-th position in the list.
virtual const XMLAttDef & | getAttDef (XMLSize_t index) const =0
| return attribute at the index-th position in the list.
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Getter methods
MemoryManager * | getMemoryManager () const
| Get the memory manager.
| XMLAttDefList (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Detailed Description

This class defines an abstract interface that all validators must support.

When the scanner scans the attributes in a start tag, it must have a list of the defined attributes for that element. This is used to fault in defaulted and fixed attributes, to know which ones are required, and to know the their types in order to do the correct normalization.

Since each validator will have its own derivatives of XMLAttDef and will have its own specialized storage mechanisms for elements and the att defs that they own, there must be an abstracted way for the scanner to deal with this list.

It does not derive from the generic Enumerator template class, because there are portability issues with deriving from a template class in a DLL. It does though provide a similar enumerator interface.

## Constructor & Destructor Documentation

## ◆ ~XMLAttDefList()

XMLAttDefList::~XMLAttDefList | ( |  | ) |
| virtual

## ◆ XMLAttDefList()

XMLAttDefList::XMLAttDefList | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |
| protected

## Member Function Documentation

## ◆ findAttDef() [1/4]

virtual const XMLAttDef * XMLAttDefList::findAttDef | ( | const unsigned int | uriID,
|  | const XMLCh *const | attName
| ) |  | const
| pure virtual

## ◆ findAttDef() [2/4]

virtual XMLAttDef * XMLAttDefList::findAttDef | ( | const unsigned int | uriID,
|  | const XMLCh *const | attName
| ) |  |
| pure virtual

## ◆ findAttDef() [3/4]

virtual const XMLAttDef * XMLAttDefList::findAttDef | ( | const XMLCh *const | attURI,
|  | const XMLCh *const | attName
| ) |  | const
| pure virtual

## ◆ findAttDef() [4/4]

virtual XMLAttDef * XMLAttDefList::findAttDef | ( | const XMLCh *const | attURI,
|  | const XMLCh *const | attName
| ) |  |
| pure virtual

## ◆ getAttDef() [1/2]

virtual const XMLAttDef & XMLAttDefList::getAttDef | ( | XMLSize_t | index | ) | const
| pure virtual

return attribute at the index-th position in the list.

## ◆ getAttDef() [2/2]

virtual XMLAttDef & XMLAttDefList::getAttDef | ( | XMLSize_t | index | ) |
| pure virtual

return attribute at the index-th position in the list.

## ◆ getAttDefCount()

virtual XMLSize_t XMLAttDefList::getAttDefCount | ( |  | ) | const
| pure virtual

return total number of attributes in this list

## ◆ getMemoryManager()

MemoryManager * XMLAttDefList::getMemoryManager | ( |  | ) | const

Get the memory manager.

This method returns the configurable memory manager used by the element declaration for dynamic allocation/deallocation.

Returns
  the memory manager

## ◆ isEmpty()

virtual bool XMLAttDefList::isEmpty | ( |  | ) | const
| pure virtual

The documentation for this class was generated from the following file:

- XMLAttDefList.hpp